body {
    font-family: 'Arial', sans-serif;
    margin: 0;
    padding: 0;
    background: linear-gradient(135deg, #cae9ff, #a7d0f7);
    min-height: 100vh;
    display: flex;
    justify-content: center;
}

#contenedorUsuarios {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
}

.tarjeta {
    background: rgba(255, 255, 255, 0.2);
    border-radius: 15px;
    padding: 15px;
    width: 300px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(10px);
    border: 1px solid rgba(255, 255, 255, 0.3);
    opacity: 0; 
    animation-name: fadeInTop;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
    transition: .3s ease;
}

.tarjeta:hover{
    transform: scale(1.1);
    background: rgba(255, 255, 255, 0.452);
}

.tarjeta h2 {
    margin-top: 0;
    color: #28304b;
}

.tarjeta p {
    color: #323947;
}

.contenedor{
    display: flex;
    flex-direction: column;
    align-items: center;
}
.acciones{
    padding-top: 100px;
    display: flex;
    max-width: 50vw;
    flex-direction: column;
    padding-bottom: 50px;
}

input, button {
    padding: 10px 15px;
    margin: 10px;
    border: none;
    border-radius: 5px;
    font-size: 16px;
    outline: none;
}

input {
    width: calc(100% - 40px); /* Ajustar según la estructura de tu formulario */
    box-sizing: border-box;
    background: rgba(255, 255, 255, 0.6);
    backdrop-filter: blur(5px);
    border: 1px solid rgba(255, 255, 255, 0.3);
}

button {
    cursor: pointer;
    background: rgba(0, 123, 255, 0.7);
    color: white;
    text-transform: uppercase;
    letter-spacing: 1px;
    transition: background-color 0.3s ease;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}

button:hover {
    background: rgba(0, 123, 255, 0.8);
}

#formularioBusqueda {
    max-width: 500px;
    margin: 20px auto;
    display: flex;
    justify-content: center;
    align-items: center;
}

@keyframes fadeInTop {
    from {
        opacity: 0;
        transform: translateY(-20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}


/* Responsive design */
@media (max-width: 600px) {
    .tarjeta {
        width: 90%;
    }
}

/*TABLA*/

table{
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 20px;
    margin-top: 20px;

}

th,td{
    padding: 12px;
    text-align: left;
}

tr{
    border: 1px solid #ebfaff;
}

#lista{
    max-height: 400px;
    overflow-x: hidden;
    overflow-y: scroll;
}


.datos{
    width: 100%;
    max-height: 80vh;   
    overflow-y: scroll;
    
}

.reseña > span{
margin-top: 20px;
}

/* width */
::-webkit-scrollbar {
    width: 8px;
    border-radius: 10px;
  }
  
  /* Track */
  ::-webkit-scrollbar-track {
    background: #f1f1f1;
  }
  
  /* Handle */
  ::-webkit-scrollbar-thumb {
    background: #285288;
    border-radius: 10px;
  }
  
  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    background: #112035;
  }


body{
    text-align: center;
}

.main-container{
    width: 70%;
    margin: 0 auto;
    flex-direction: column;
    display: flex;
    align-items: center;
    text-align: center;
}

#respuesta-6 {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, 1fr);
    grid-column-gap: 10px;
    grid-row-gap: 10px;olumns: 1fr 1fr 1fr;
    align-items: start;
    margin-top: 20px;
    background: rgba(255, 255, 255, 0.2);
    border-radius: 15px;
    padding: 15px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(10px);
    border: 1px solid rgba(255, 255, 255, 0.3);
    opacity: 0; 
    animation-name: fadeInTop;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
    transition: .3s ease;
    overflow-y: scroll;
  }

.info, .imagen, .reseña, .actores {
    padding: 10px;
    background: #f0f0f000;
    border-radius: 5px;
  }

.info {
    grid-area: 1 / 1 / 2 / 2;
  }

.imagen {
    grid-area: 1 / 2 / 2 / 3;
  }

.reseña {
    grid-area: 1 / 3 / 2 / 4
}
.actores {
    grid-area: 2 / 1 / 3 / 4; }
    

img {
    max-width: 100%;
    height: auto;
    display: block;
  }


fieldset > input{
    background-color: none;
}



.actions{
    display: flex;
    flex-direction: row;
}
.actions > label{
    display: flex;
    justify-content: center;
    align-items: center;
}


#contenedor-4 {
    height: 80vh;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    width: 80%;
    border-radius: 20px;
    background-color: #b8c5d8;
    padding: 2em;
    margin-top: 50px;
    background: rgba(255, 255, 255, 0.2);
    border-radius: 15px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(10px);
    border: 1px solid rgba(255, 255, 255, 0.3);
    opacity: 0;
    animation-name: fadeInTop;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
    transition: .3s ease;
}
